Follow

Installing Lunascape > System Requirements

  • OS:
    • v.6.2 ~: Windows XP SP1 or later/Vista/7/Server 2003/Server 2008
    • ~ v.6.1: Windows 2000/XP/Vista/7/Server 2003/Server 2008
  • Memory: 1GB (recommended 2GB or more)
  • Internet Explorer 6 or later
Was this article helpful?
1 out of 1 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk